Bug 1223293 - Review Request: ghc-xml-conduit - Utilities for dealing with XML with conduit
Summary: Review Request: ghc-xml-conduit - Utilities for dealing with XML with conduit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1222384
TreeView+ depends on / blocked
 
Reported: 2015-05-20 09:38 UTC by Jens Petersen
Modified: 2015-12-11 03:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 01:51:23 UTC
relrod: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2015-05-20 09:38:24 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-xml-conduit.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-xml-conduit-1.2.6-1.fc21.src.rpm

Description:
This package provides parsing and rendering functions for XML. It is
based on the datatypes found in the xml-types package. This package is
broken up into the following modules:

* Text.XML: DOM-based parsing and rendering.
  This is the most commonly used module.

* Text.XML.Cursor: A wrapper around Text.XML which allows bidirectional
  traversing of the DOM, similar to XPath. (Note: Text.XML.Cursor.Generic
  is the same concept, but will work with any node representation.)

* Text.XML.Unresolved: A slight modification  to Text.XML which does not
  require  all entities  to be  resolved at  parsing. The  datatypes are
  slightly  more complicated  here, and  therefore this  module is  only
  recommended when you need to deal directly with raw entities.

* Text.XML.Stream.Parse: Streaming parser, including some streaming
  parser combinators.

* Text.XML.Stream.Render: Streaming renderer.

Comment 1 Jens Petersen 2015-05-20 09:40:06 UTC
Koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=9804805

This is needed for recent pandoc-citeproc (>= 0.6)
(0.5 has a problem with pandoc-1.13.2 it seems).

Comment 2 Jens Petersen 2015-07-22 06:53:53 UTC
Ping!

Comment 4 Upstream Release Monitoring 2015-11-19 07:01:52 UTC
petersen's scratch build of ghc-xml-conduit-1.2.6-1.fc21.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11900815

Comment 5 Rick Elrod 2015-11-19 19:38:37 UTC
APPROVED, but please update to the latest minor version when you import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[X]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1280000 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-xml-conduit-1.3.1-1.fc22.x86_64.rpm
          ghc-xml-conduit-devel-1.3.1-1.fc22.x86_64.rpm
          ghc-xml-conduit-1.3.1-1.fc22.src.rpm
ghc-xml-conduit.x86_64: W: spelling-error %description -l en_US datatypes -> datatype, data types, data-types
ghc-xml-conduit.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-xml-conduit.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
ghc-xml-conduit.x86_64: W: no-documentation
ghc-xml-conduit.src: W: spelling-error %description -l en_US datatypes -> datatype, data types, data-types
ghc-xml-conduit.src: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-xml-conduit.src: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
ghc-xml-conduit.x86_64: W: spelling-error %description -l en_US datatypes -> datatype, data types, data-types
ghc-xml-conduit.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-xml-conduit.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
ghc-xml-conduit.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
ghc-xml-conduit-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(xml-conduit-1.3.1-9c4a61cd19283d92132430541f9ab0fe)
    ghc-compiler
    ghc-devel(attoparsec-0.11.3.4-0c95c9de4819497301c0feaebbd177a5)
    ghc-devel(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc-devel(blaze-builder-0.3.3.4-3fe1d73b21aa47f72af3f990fada4683)
    ghc-devel(blaze-html-0.7.0.3-82d1c3f63009fe83b49086cd72ba6bd8)
    ghc-devel(blaze-markup-0.6.2.0-4ad84fe1e04efe044dc660ec4064b466)
    ghc-devel(bytestring-0.10.4.0-e82797828c29adab75d6eb4b53384f09)
    ghc-devel(conduit-1.2.4-355ef3374d15b540422babd5da26c6f9)
    ghc-devel(conduit-extra-1.1.7.0-8748801f9b030031fdc25728b162b39a)
    ghc-devel(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    ghc-devel(data-default-0.5.1-c730576082708e349d548172f4c041c8)
    ghc-devel(deepseq-1.3.0.2-0ddc77716bd2515426e1ba39f6788a4f)
    ghc-devel(monad-control-0.3.3.1-d29e4b9bce76afba7611f3bb6a46ff25)
    ghc-devel(resourcet-1.1.4.1-c3fd9f8f37ac08e0c0249f023d885f0b)
    ghc-devel(text-1.1.1.3-41a1b42bfbf393e802c95c88f57d2452)
    ghc-devel(transformers-0.3.0.0-6458c21515cab7c1cf21e53141557a1c)
    ghc-devel(xml-types-0.3.4-281424d9e269421ce1d8633dce8dcfea)
    ghc-xml-conduit(x86-64)

ghc-xml-conduit (rpmlib, GLIBC filtered):
    ghc(attoparsec-0.11.3.4-0c95c9de4819497301c0feaebbd177a5)
    ghc(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc(blaze-builder-0.3.3.4-3fe1d73b21aa47f72af3f990fada4683)
    ghc(blaze-html-0.7.0.3-82d1c3f63009fe83b49086cd72ba6bd8)
    ghc(blaze-markup-0.6.2.0-4ad84fe1e04efe044dc660ec4064b466)
    ghc(bytestring-0.10.4.0-e82797828c29adab75d6eb4b53384f09)
    ghc(conduit-1.2.4-355ef3374d15b540422babd5da26c6f9)
    ghc(conduit-extra-1.1.7.0-8748801f9b030031fdc25728b162b39a)
    ghc(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    ghc(data-default-0.5.1-c730576082708e349d548172f4c041c8)
    ghc(deepseq-1.3.0.2-0ddc77716bd2515426e1ba39f6788a4f)
    ghc(monad-control-0.3.3.1-d29e4b9bce76afba7611f3bb6a46ff25)
    ghc(resourcet-1.1.4.1-c3fd9f8f37ac08e0c0249f023d885f0b)
    ghc(text-1.1.1.3-41a1b42bfbf393e802c95c88f57d2452)
    ghc(transformers-0.3.0.0-6458c21515cab7c1cf21e53141557a1c)
    ghc(xml-types-0.3.4-281424d9e269421ce1d8633dce8dcfea)
    libHSarray-0.5.0.0-ghc7.8.4.so()(64bit)
    libHSattoparsec-0.11.3.4-ghc7.8.4.so()(64bit)
    libHSbase-4.7.0.2-ghc7.8.4.so()(64bit)
    libHSblaze-builder-0.3.3.4-ghc7.8.4.so()(64bit)
    libHSblaze-html-0.7.0.3-ghc7.8.4.so()(64bit)
    libHSblaze-markup-0.6.2.0-ghc7.8.4.so()(64bit)
    libHSbytestring-0.10.4.0-ghc7.8.4.so()(64bit)
    libHSconduit-1.2.4-ghc7.8.4.so()(64bit)
    libHSconduit-extra-1.1.7.0-ghc7.8.4.so()(64bit)
    libHScontainers-0.5.5.1-ghc7.8.4.so()(64bit)
    libHSdata-default-0.5.1-ghc7.8.4.so()(64bit)
    libHSdeepseq-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSdirectory-1.2.1.0-ghc7.8.4.so()(64bit)
    libHSdlist-0.7.1-ghc7.8.4.so()(64bit)
    libHSexceptions-0.6.1-ghc7.8.4.so()(64bit)
    libHSfilepath-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSghc-prim-0.3.1.0-ghc7.8.4.so()(64bit)
    libHShashable-1.2.2.0-ghc7.8.4.so()(64bit)
    libHSinteger-gmp-0.5.1.0-ghc7.8.4.so()(64bit)
    libHSlifted-base-0.2.3.6-ghc7.8.4.so()(64bit)
    libHSmmorph-1.0.4-ghc7.8.4.so()(64bit)
    libHSmonad-control-0.3.3.1-ghc7.8.4.so()(64bit)
    libHSmtl-2.1.3.1-ghc7.8.4.so()(64bit)
    libHSnats-0.2-ghc7.8.4.so()(64bit)
    libHSnetwork-2.4.2.3-ghc7.8.4.so()(64bit)
    libHSold-locale-1.0.0.6-ghc7.8.4.so()(64bit)
    libHSparsec-3.1.5-ghc7.8.4.so()(64bit)
    libHSprimitive-0.5.2.1-ghc7.8.4.so()(64bit)
    libHSprocess-1.2.0.0-ghc7.8.4.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.8.4.so()(64bit)
    libHSresourcet-1.1.4.1-ghc7.8.4.so()(64bit)
    libHSscientific-0.3.3.1-ghc7.8.4.so()(64bit)
    libHSsemigroups-0.16.0.1-ghc7.8.4.so()(64bit)
    libHSstm-2.4.2-ghc7.8.4.so()(64bit)
    libHSstreaming-commons-0.1.10.0-ghc7.8.4.so()(64bit)
    libHStext-1.1.1.3-ghc7.8.4.so()(64bit)
    libHStime-1.4.2-ghc7.8.4.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.8.4.so()(64bit)
    libHStransformers-base-0.4.4-ghc7.8.4.so()(64bit)
    libHStransformers-compat-0.3.3.4-ghc7.8.4.so()(64bit)
    libHSunix-2.7.0.1-ghc7.8.4.so()(64bit)
    libHSunordered-containers-0.2.4.0-ghc7.8.4.so()(64bit)
    libHSvoid-0.6.1-ghc7.8.4.so()(64bit)
    libHSxml-types-0.3.4-ghc7.8.4.so()(64bit)
    libHSzlib-0.5.4.1-ghc7.8.4.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-xml-conduit-devel:
    ghc-devel(xml-conduit-1.3.1-9c4a61cd19283d92132430541f9ab0fe)
    ghc-xml-conduit-devel
    ghc-xml-conduit-devel(x86-64)
    ghc-xml-conduit-static

ghc-xml-conduit:
    ghc(xml-conduit-1.3.1-9c4a61cd19283d92132430541f9ab0fe)
    ghc-xml-conduit
    ghc-xml-conduit(x86-64)
    libHSxml-conduit-1.3.1-ghc7.8.4.so()(64bit)



Unversioned so-files
--------------------
ghc-xml-conduit: /usr/lib64/ghc-7.8.4/xml-conduit-1.3.1/libHSxml-conduit-1.3.1-ghc7.8.4.so

Source checksums
----------------
https://hackage.haskell.org/package/xml-conduit-1.3.1/xml-conduit-1.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 19e65bb1753f99c8a9f2011f2088639db3b8c06f72d29fea1464f623879b8f24
  CHECKSUM(SHA256) upstream package : 19e65bb1753f99c8a9f2011f2088639db3b8c06f72d29fea1464f623879b8f24


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-22-x86_64 -b 1223293
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Jens Petersen 2015-11-20 09:55:54 UTC
Thank you for the review, Ricky!

> please update to the latest minor version when you import.

sure, will do that.

Comment 7 Fedora Update System 2015-11-24 00:58:56 UTC
ghc-xml-conduit-1.3.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c9f9e2169

Comment 8 Jens Petersen 2015-11-24 01:02:55 UTC
also ghc-xml-conduit-1.3.2-1.fc23
https://bodhi.fedoraproject.org/updates/FEDORA-2015-f74c858168

Comment 9 Fedora Update System 2015-11-25 02:54:43 UTC
ghc-hakyll-4.5.4.0-5.fc23, ghc-xml-conduit-1.3.2-1.fc23, pandoc-citeproc-0.7.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ghc-hakyll pandoc-citeproc ghc-xml-conduit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f74c858168

Comment 10 Fedora Update System 2015-11-26 02:27:02 UTC
ghc-hakyll-4.5.4.0-5.fc22, ghc-xml-conduit-1.3.2-1.fc22, pandoc-citeproc-0.7.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ghc-hakyll pandoc-citeproc ghc-xml-conduit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c9f9e2169

Comment 11 Fedora Update System 2015-12-11 01:51:18 UTC
ghc-hakyll-4.5.4.0-5.fc23, ghc-xml-conduit-1.3.2-1.fc23, pandoc-citeproc-0.7.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-11 03:21:18 UTC
ghc-hakyll-4.5.4.0-5.fc22, ghc-xml-conduit-1.3.2-1.fc22, pandoc-citeproc-0.7.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.